Loading...
Searching...
No Matches
Gfx::ModelMeshHeaderV3 Struct Reference

Header for mesh saved in new model file version 3. More...

`#include <src/graphics/model/model_io_structs.h>`

## Public Attributes

int | totalTriangles = 0
| Total number of triangles.
std::string | name
| Mesh name.
std::string | parentName
| Parent mesh name.
Math::Vector | position
| Mesh position.
Math::Vector | rotation
| Mesh rotation.
Math::Vector | scale
| Mesh scale.

## Detailed Description

Header for mesh saved in new model file version 3.

## Member Data Documentation

## totalTriangles

int Gfx::ModelMeshHeaderV3::totalTriangles = 0

Total number of triangles.

## name

std::string Gfx::ModelMeshHeaderV3::name

Mesh name.

## parentName

std::string Gfx::ModelMeshHeaderV3::parentName

Parent mesh name.

## position

Math::Vector Gfx::ModelMeshHeaderV3::position

Mesh position.

## rotation

Math::Vector Gfx::ModelMeshHeaderV3::rotation

Mesh rotation.

## scale

Math::Vector Gfx::ModelMeshHeaderV3::scale

Mesh scale.

The documentation for this struct was generated from the following file:

- src/graphics/model/model_io_structs.h